/**
 * This software is provided "AS IS," without a warranty of any kind.
 * By using it you are agreeing to not held the author responsible for any damage.
 */
package jqb;
/**
 * Class for answer checking
 * @author wolf.posdorfer
 *
 */
public class Antwort
{
    	/**
    	 * Checks if two provided Strings should match by easy comparison
    	 * @param antwort, the real answer
    	 * @param spielerantwort, the answer given by a player
    	 * @return
    	 */
	public static boolean checkAnswer(String antwort, String spielerantwort)
	{
		if (antwort != null && spielerantwort != null)
		{
			String replaceAntwort = replaceString(antwort);
			String replacespielerAntwort = replaceString(spielerantwort);
			return replaceAntwort.equalsIgnoreCase(replacespielerAntwort);
		}

		return false;
	}
	/**
	 * Replace stuff
	 * @param s
	 * @return
	 */
	public static String replaceString(String s)
	{
		String st = s;

		if (st.length() >= 2)
		{
			if (st.charAt(0) == 'a' || st.charAt(0) == 'A' && st.charAt(1) == ' ')
			{
				st = st.substring(2);
			}
		}

		st = st.replace(" a ", "");
		st = st.replace(" A ", "");
		st = st.replace(",", "");
		st = st.replace("'", "");
		st = st.replace("!", "");
		st = st.replace(" ", "");
		st = st.replace("$", "");
		st = st.replace("%", "");
		st = st.replace("&", "");
		st = st.replace("§", "");
		st = st.replace("\"", "");
		st = st.replace(".", "");
		st = st.replace("'", "");
		st = st.toLowerCase();

		if (st.indexOf("(") != -1)
		{
			int bracebegin = st.indexOf("(");
			st = st.substring(0, bracebegin);
		}

		// System.out.println(st);

		return st;
	}
}
