/**
 * This software is provided "AS IS," without a warranty of any kind.
 * By using it you are agreeing to not held the author responsible for any damage.
 */
package jqb;

/**
 * Represents a Player<br>
 * Holding: Playername, Current points
 * @author wolf.posdorfer
 * 
 */
public class Spieler implements Comparable<Spieler>
{

	private String _name;
	private int _pts;

	public Spieler(String name, int pts)
	{
		_name = name;
		_pts = pts;
	}

	public String gibName()
	{
		return _name;
	}

	public int gibPunkte()
	{
		return _pts;
	}

	public void addPunkte(int pts)
	{
		_pts += pts;
	}

	@Override
	public int compareTo(Spieler jener)
	{
		return jener.gibPunkte() - this.gibPunkte();
	}

}
